Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454932 - component: software updater raises unhandled exception
Summary: component: software updater raises unhandled exception
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut
Version: 5.1
Hardware: i686
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 20:27 UTC by Naveen
Modified: 2013-03-11 17:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-11 17:39:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
exception dump (deleted)
2008-07-10 20:27 UTC, Naveen
no flags Details

Description Naveen 2008-07-10 20:27:04 UTC
Description of problem:
We have installed RHE5.1 and trying to update the packages (it says 480 updates
when we login to redhat network). Did the below and got Exception and requested
to file a detailed bug report in bugzilla.

Applications->system tools->software updater
once after selecting it we get a message "Retreving..." and gets exception and
exception report is as below
Component: Software Updater
Summary: TBf3313d0f rhnplugin.py:222:_YumRepository__get:RepoError: failed to
retrieve repodata/updateinfo.xml.gz from rhel-x86_64-server-5
error was [Errno -1] Metadata file does not match checksum

Traceback (most recent call last):
  File "/usr/sbin/pup", line 668, in ?
    main()
  File "/usr/sbin/pup", line 664, in main
    pup.run()
  File "/usr/sbin/pup", line 499, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 324, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 380, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.4/site-packages/yum/update_md.py", line 228, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 622, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 222, in _YumRepository__get
    raise yum.Errors.RepoError, \
RepoError: failed to retrieve repodata/updateinfo.xml.gz from rhel-x86_64-server-5
error was [Errno -1] Metadata file does not match checksum

Local variables in innermost frame:
e: [Errno -1] Metadata file does not match checksum
url: None
text: None
self: rhel-x86_64-server-5
cache: False
reget: None
relative: repodata/updateinfo.xml.gz
start: None
checkfunc: (<bound method RhnRepo.checkMD of <rhnplugin.RhnRepo object at
0x2533cd0>>, ('updateinfo',), {})
copy_local: 1
end: None
local: //var/cache/yum/rhel-x86_64-server-5/updateinfo.xml.gz


Version-Release number of selected component (if applicable):
Redhat Enterprise Linux 5

How reproducible: easy

Steps to Reproduce:
Applications->system tools->software updater
once after selecting it we get a message "Retreving..." and gets exception
  
Actual results:
Need to grap the packages and update the kernel/os packages

Expected results:
getting unhandled exception

Additional info:

Comment 1 Naveen 2008-07-10 20:27:04 UTC
Created attachment 311513 [details]
exception dump

Comment 2 Naveen 2008-07-11 20:57:19 UTC
Hi All,
Greetings!

I got my packages updated. I used yum update instead of GUI "Software update"
tool and it works awsome.


Naveen


Note You need to log in before you can comment on or make changes to this bug.